io.vertx.ext.web.api.contract

## Enum RouterFactoryException.ErrorType

- java.lang.Object
- - java.lang.Enum<RouterFactoryException.ErrorType>
  - - io.vertx.ext.web.api.contract.RouterFactoryException.ErrorType

- All Implemented Interfaces:
    Serializable, Comparable<RouterFactoryException.ErrorType>
  Enclosing class:
    RouterFactoryException

      public static enum RouterFactoryException.ErrorType
      extends Enum<RouterFactoryException.ErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INVALID_SPEC_PATH` You have provided a wrong directory/path to specification file
    `MISSING_SECURITY_HANDLER` Missing security handler during construction of router
    `OPERATION_ID_NOT_FOUND` You are trying to mount an operation with operation_id not defined in specification
    `PATH_NOT_FOUND` You are trying to mount an operation (combination of path and method) not defined in specification
    `PATH_PARAMETERS_COMBINATION_NOT_SUPPORTED` You are trying to use two or more path parameters with a combination of parameters/name/styles/explode not supported
    `SPEC_INVALID` Specification is not valid
    `WRONG_INTERFACE` You specified an interface not annotated with io.vertx.ext.web.api.generator.WebApiProxyGen while calling `RouterFactory#mountServiceProxy(Class, String)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RouterFactoryException.ErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RouterFactoryException.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PATH_NOT_FOUND

          public static final RouterFactoryException.ErrorType PATH_NOT_FOUND

      You are trying to mount an operation (combination of path and method) not defined in specification

    - #### OPERATION_ID_NOT_FOUND

          public static final RouterFactoryException.ErrorType OPERATION_ID_NOT_FOUND

      You are trying to mount an operation with operation_id not defined in specification

    - #### SPEC_INVALID

          public static final RouterFactoryException.ErrorType SPEC_INVALID

      Specification is not valid

    - #### MISSING_SECURITY_HANDLER

          public static final RouterFactoryException.ErrorType MISSING_SECURITY_HANDLER

      Missing security handler during construction of router

    - #### INVALID_SPEC_PATH

          public static final RouterFactoryException.ErrorType INVALID_SPEC_PATH

      You have provided a wrong directory/path to specification file

    - #### PATH_PARAMETERS_COMBINATION_NOT_SUPPORTED

          public static final RouterFactoryException.ErrorType PATH_PARAMETERS_COMBINATION_NOT_SUPPORTED

      You are trying to use two or more path parameters with a combination of parameters/name/styles/explode not supported

    - #### WRONG_INTERFACE

          public static final RouterFactoryException.ErrorType WRONG_INTERFACE

      You specified an interface not annotated with io.vertx.ext.web.api.generator.WebApiProxyGen while calling `RouterFactory#mountServiceProxy(Class, String)`

  - ### Method Detail

    - #### values

          public static RouterFactoryException.ErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RouterFactoryException.ErrorType c : RouterFactoryException.ErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RouterFactoryException.ErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Eclipse. All rights reserved.